Skip to main content
Resource Center/Resource Pool/VM Instance Operations

ExecuteGuestVmCommand

ExecuteGuestVmCommand

PUT/zstack/v1/vm-instances/commands/exec

Operation ID

ExecuteGuestVmCommand

Since

5.2.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID.

    • platform
      StringRequired

      The platform.

    • command
      StringRequired

      The command.

    • commandTimeout
      Integer

      Optional. The timeout period.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • stream
    StringRequired

    The stream.

  • vmInstance
    VmInstanceInventoryRequired

    See vmInstance

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • uuid
    StringRequired

    The resource UUID.

  • name
    StringRequired

    The resource name.

  • description
    String

    Optional. The detailed description of the resource.

  • zoneUuid
    StringRequired

    The zone UUID.

  • clusterUuid
    StringRequired

    The cluster UUID.

  • imageUuid
    StringRequired

    The image UUID.

  • hostUuid
    StringRequired

    The host UUID.

  • lastHostUuid
    StringRequired

    The last host UUID.

  • instanceOfferingUuid
    StringRequired

    The instance offering UUID.

  • rootVolumeUuid
    StringRequired

    The root volume UUID.

  • platform
    StringRequired

    The platform.

  • architecture
    StringRequired

    The architecture.

  • defaultL3NetworkUuid
    StringRequired

    The default L3 network UUID.

  • type
    StringRequired

    The resource type.

  • hypervisorType
    StringRequired

    The hypervisor type.

  • memorySize
    LongRequired

    The memory size.

  • cpuNum
    IntegerRequired

    The number of CPUs.

  • cpuSpeed
    LongRequired

    The CPU speed.

  • allocatorStrategy
    StringRequired

    The allocator strategy.

  • createDate
    TimestampRequired

    The creation time.

  • lastOpDate
    TimestampRequired

    The last operation time.

  • state
    StringRequired

    The resource state.

  • guestOsType
    StringRequired

    The guest OS type.

  • vmNics
    ListRequired

    See vmNics

  • allVolumes
    ListRequired

    See allVolumes

  • vmCdRoms
    ListRequired

    See vmCdRoms

  • uuid
    StringRequired

    The resource UUID.

  • vmInstanceUuid
    StringRequired

    The VM instance UUID.

  • l3NetworkUuid
    StringRequired

    The L3 network UUID.

  • ip
    StringRequired

    The IP address.

  • mac
    StringRequired

    The MAC address.

  • hypervisorType
    StringRequired

    The hypervisor type.

  • netmask
    StringRequired

    The netmask.

  • gateway
    StringRequired

    The gateway IP address.

  • metaData
    StringRequired

    The metadata.

  • ipVersion
    IntegerRequired

    The IP version.

  • driverType
    StringRequired

    The driver type.

  • internalName
    StringRequired

    The internal name.

  • deviceId
    IntegerRequired

    The device ID.

  • type
    StringRequired

    The resource type.

  • state
    StringRequired

    The NIC state.

  • createDate
    TimestampRequired

    The creation time.

  • lastOpDate
    TimestampRequired

    The last operation time.

  • usedIps
    ListRequired

    See usedIps

  • uuid
    StringRequired

    The resource UUID.

  • ipRangeUuid
    StringRequired

    The IP range UUID.

  • l3NetworkUuid
    StringRequired

    The L3 network UUID.

  • ipVersion
    IntegerRequired

    The IP version.

  • ip
    StringRequired

    The IP address.

  • netmask
    StringRequired

    The netmask.

  • gateway
    StringRequired

    The gateway IP address.

  • usedFor
    StringRequired

    The intended use.

  • ipInLong
    longRequired

    The IP address represented as a long integer.

  • vmNicUuid
    StringRequired

    The VM NIC UUID.

  • createDate
    TimestampRequired

    The creation time.

  • lastOpDate
    TimestampRequired

    The last operation time.

  • uuid
    StringRequired

    The resource UUID.

  • name
    StringRequired

    The resource name.

  • description
    String

    Optional. The detailed description of the resource.

  • primaryStorageUuid
    StringRequired

    The primary storage UUID.

  • vmInstanceUuid
    StringRequired

    The VM instance UUID.

  • diskOfferingUuid
    StringRequired

    The disk offering UUID.

  • rootImageUuid
    StringRequired

    The root image UUID.

  • installPath
    StringRequired

    The installation path.

  • type
    StringRequired

    The resource type.

  • format
    StringRequired

    The format.

  • size
    LongRequired

    The size.

  • actualSize
    LongRequired

    The actual size.

  • deviceId
    IntegerRequired

    The device ID.

  • state
    StringRequired

    The resource state.

  • status
    StringRequired

    The resource status.

  • createDate
    TimestampRequired

    The creation time.

  • lastOpDate
    TimestampRequired

    The last operation time.

  • isShareable
    BooleanRequired

    Whether the resource is shareable.

  • volumeQos
    StringRequired

    The volume QoS.

  • lastDetachDate
    TimestampRequired

    The last detach date.

  • lastVmInstanceUuid
    StringRequired

    The last VM instance UUID.

  • uuid
    StringRequired

    The resource UUID.

  • vmInstanceUuid
    StringRequired

    The VM instance UUID.

  • deviceId
    IntegerRequired

    The device ID.

  • isoUuid
    StringRequired

    The ISO UUID.

  • isoInstallPath
    StringRequired

    The ISO install path.

  • name
    StringRequired

    The resource name.

  • description
    String

    Optional. The detailed description of the resource.

  • createDate
    TimestampRequired

    The creation time.

  • lastOpDate
    TimestampRequired

    The last operation time.

  • Change Time

    AddedResponse fields actualSize, allVolumes, allocatorStrategy...
    View API